Mline style in V13

Hello,

how to change mline style by properties window?

Regards
Peter

Comments

  • Unfortunately I can´t help here , I just have more questions.

    I managed to close a window in Mline styles, now I cant get it back. I can only see the names of the styles but the definition window is gone.

    How do I get it back ????  V13

    Patrik

  • Sorry tried uninstalling and reinstalling. NO GOOD
  • In the Mline panel of the Drawing Explorer choose: Settings > Restore Default Layout.
  •  The Drawing Explorer dialog consists of multiple panels, one of them is the Editor panel which displays the Mline settings. Click the View menu to check which panels are currently open, then click a panel in the list to toggle its current property (open or closed). The Drawing Explorer remembers the previously used settings for each category. If you choose Restore Default Layout in the Settings menu default settings are restored for all categories.
  •  The Drawing Explorer dialog consists of multiple panels, one of them is the Editor panel which displays the Mline settings. Click the View menu to check which panels are currently open, then click a panel in the list to toggle its current property (open or closed). The Drawing Explorer remembers the previously used settings for each category. If you choose Restore Default Layout in the Settings menu default settings are restored for all categories.
  • THANKS I found it under view/ediitor. didn´t see it.
  • Hi !

    Could someone help me with a little info on how I load and activate a new Mline style in the startup lisp. V13

    Thanks

  • @ Patrik Sparrman:
    [code](defun MlineStyleDelete (name / dictEname)
      (if (setq dictEname (cdr (assoc -1 (dictsearch (namedobjdict) "ACAD_MLINESTYLE"))))
        (dictremove dictEname name)
      )
    )

    (defun MlineStyleGet (name / dictEname)
      (if (setq dictEname (cdr (assoc -1 (dictsearch (namedobjdict) "ACAD_MLINESTYLE"))))
        (dictsearch dictEname name)
      )
    )

    (defun MlineStyleSet (elist)
      (dictadd
        (cond
          ((cdr (assoc -1 (dictsearch (namedobjdict) "ACAD_MLINESTYLE"))))
          ((dictadd (namedobjdict) "ACAD_MLINESTYLE" (entmakex '((0 . "DICTIONARY") (100 . "AcDbDictionary")))))
        )
        (cdr (assoc 2 elist))
        (entmakex elist)
      )
    )

    (defun Create_MyTest_And_Set_Current ()
      (MlineStyleDelete "MyTest")
      (MlineStyleSet
        (list
          '(0 . "MLINESTYLE")
          '(2 . "MyTest")
          '(70 . 0)
          '(3 . "")
          (cons 51 (/ pi 2.0))
          (cons 52 (/ pi 2.0))
          '(71 . 2)
          '(49 . 8.0)
          '(6 . "BYLAYER")
          '(49 . -8.0)
          '(6 . "BYLAYER")
        )
      )
      (setvar 'cmlstyle "MyTest")
    )[/code]
  • BTW: You should not use the function (MlineStyleDelete) on an Mline style that is being used!!!
  • @Roy, thanks but is there an easier way if I already have a saved defined mline that I just want to load and activate.
  • Well if you want things to be very easy maybe this is the one for you.
    Note that this will import EVERYTHING that is in the drawing being inserted.
    [code](defun test ()
      (setvar 'cmdecho 0)
      (command "_.-insert" "*X:/MyPath/MyMlines.dwg")
      (command nil)
      (setvar 'cmdecho 1)
      (princ)
    )[/code]

This discussion has been closed.